[alsa-devel] ALSA porting to h/w having kernel version

Mark Brown broonie at opensource.wolfsonmicro.com
Fri Jul 17 17:00:29 CEST 2009

On Fri, Jul 17, 2009 at 08:19:01PM +0530, Rakesh Kumar wrote:

> I have following questions:

> 1. Shall I go ahead with ALSA 1.0.12 (which is already part of my kernel)?

> 2. or shall I download latest ALSA version 1.0.20?

I would recommend going with the most current ALSA version you can since
ASoC, the subsystem normally used for handling audio on embedded
platforms, is not present in 2.6.18.

> I tried building my kernel with latest ALSA (as a part of kernel) but
> facing some compilation errors.

It is likely that you will have to do some backporting, there have been
many changes in the kernel since 2.6.18 was released and ALSA will have
been updated for them.

It would be worth looking at moving forward to a more current kernel
version 2.6.18 is almost three years old and you are much more likely to
be able to obtain help from the community with a more current kernel

More information about the Alsa-devel mailing list